﻿using System;

namespace NumberSumCalculator
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            // Initialize sum and average variables
            int sum = 0;
            double average = 0.0;

            // User prompt and input validation
            bool validInput = false;
            int limit = 0;
            while (!validInput)
            {
                Console.WriteLine("Enter the upper limit for even numbers: ");
                string input = Console.ReadLine();
                if (int.TryParse(input, out limit) && limit > 1)
                {
                    validInput = true;
                }
                else
                {
                    Console.WriteLine("Invalid input. Please enter a whole number greater than 1.");
                }
            }

            // Loop through and calculate sum and count
            int count = 0;
            for (int i = 2; i < limit; i += 2)
            {
                sum += i;
                count++;
            }

            // Calculate and display average
            if (count > 0)
            {
                average = (double)sum / count;
                Console.WriteLine($"The sum of even numbers from 2 to {limit} is: {sum}");
                Console.WriteLine($"The average of even numbers from 2 to {limit} is: {average:F2}");
                Console.ReadKey();
            }
            else
            {
                Console.WriteLine("No even numbers within the specified range.");
                Console.ReadKey();
            }
        }
    }
}